<?php

require_once('../../config.php');

global $CFG, $USER;

require_once($CFG->libdir . '/accesslib.php');

$context = context_course::instance($_GET['course_id']);
require_capability('mod/assignment:grade', $context);

header("Content-Type: application/json;charset=UTF-8");


$students = array();

foreach(get_enrolled_users($context) as $std){

	$user = array(
		"id"=>$std->id,
		"first"=>$std->firstname,
		"last"=>$std->lastname,
		"email"=>$std->email
	);

	if($std->picture){
		$user["profile"] = $std->picture;	
	}

	if(has_capability('mod/assignment:grade', $context, $std)){
		$user["permissions"] = "readwrite";
	} else {
		$user["permissions"] = "read";
	}


	array_push($students, $user);
}


echo json_encode($students, JSON_PRETTY_PRINT);

?>
